<?php
namespace Nexus\Catalog\Block\BrandProductView;

/**
 * Interceptor class for @see \Nexus\Catalog\Block\BrandProductView
 */
class Interceptor extends \Nexus\Catalog\Block\BrandProductView implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\App\Request\Http $request, \Magento\Framework\Registry $coreRegistry, \Magento\Catalog\Model\Product $product, \Magento\Catalog\Model\CategoryFactory $categoryFactory, \Magento\Store\Model\StoreManagerInterface $storeManagerInterface)
    {
        $this->___init();
        parent::__construct($context, $request, $coreRegistry, $product, $categoryFactory, $storeManagerInterface);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
